Skip to main content
PUT
Update employee official education
Version:v4

Authorizations

Authorization
string
header
required

Sesame Public API consumer token (Authorization: Bearer )

Path Parameters

employeeId
string<uuid>
required
officialEducationId
string<uuid>
required

Body

application/json
courseId
string<uuid>
required

Degree or course of the official education catalogue (GET /courses?section=official).

Example:

"5f0704e4-c53b-4858-ae24-3a779cf7248d"

schoolId
string<uuid>
required

Centre of the official education catalogue (GET /schools?section=official).

Example:

"9d6ce97f-e48f-476f-bb8f-f1a8f6ea9db7"

startDate
string<date> | null
Example:

"2026-03-01"

endDate
string<date> | null

Cannot be before startDate.

Example:

"2026-06-30"

comment
string | null
Maximum string length: 100
Example:

"Mención en neurología"

Response

The official education was updated.